# libqalculate/DataSet.h File Reference

`#include <libqalculate/includes.h>`
`#include <libqalculate/Function.h>`

## Classes
class | DataObject
| A a data set object. More...
class | DataProperty
| A data set property. More...
class | DataSet
| A data set. More...
class | DataPropertyArgument
| Data property function argument. More...
class | DataObjectArgument
| Data object function argument. More...
## Typedefs
typedef Sgi::vector < DataProperty * >::iterator | DataObjectPropertyIter
typedef vector< DataProperty * > ::iterator | DataPropertyIter
typedef vector< DataObject * > ::iterator | DataObjectIter
## Enumerations
enum | PropertyType { PROPERTY_EXPRESSION, PROPERTY_NUMBER, PROPERTY_STRING }

## Detailed Description